nz-input-group([nzSuffix]="isUploadZone ? null : hasFile ? deleteIcon : uploadIcon")
  input(*ngIf="!isUploadZone", type="text", nz-input, placeholder="No file", readonly, [value]="fileName", [disabled]="isDisabled")

ng-template(#uploadIcon)
  nz-upload(*ngIf="!isDisabled", [nzBeforeUpload]="beforeUpload", [nzListType]="listType")
    i(nz-icon, nzType="upload")

nz-upload(*ngIf="!isDisabled && isUploadZone", [nzBeforeUpload]="beforeUpload", [nzListType]="listType", nzType="drag")
  p(class="ant-upload-drag-icon")
    i(nz-icon, nzType="upload")
  p(class="ant-upload-text") {{ fileName | default:"Click or drag file to this area to upload" }}

ng-template(#deleteIcon)
  i(*ngIf="!isDisabled",  nz-icon, nzType="close-circle", (click)="clearFile()")
